[android-components](../../../index.md) / [mozilla.components.browser.session.storage](../../index.md) / [AutoSave](../index.md) / [Storage](index.md) / [save](./save.md)

# save

`abstract fun save(state: `[`BrowserState`](../../../mozilla.components.browser.state.state/-browser-state/index.md)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/session/src/main/java/mozilla/components/browser/session/storage/AutoSave.kt#L46)

Saves the provided [BrowserState](../../../mozilla.components.browser.state.state/-browser-state/index.md).

### Parameters

`state` - the state to save.

**Return**
true if save was successful, otherwise false.

